<?php

namespace AppBundle\Entity;

use Symfony\Component\Validator\Constraints as Assert;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Table
 * @ORM\Entity
 */
class FewoPrice
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var \AppBundle\Entity\FewoLodging
     *
     * @ORM\ManyToOne(targetEntity="FewoLodging", inversedBy="prices")
     * @ORM\JoinColumns({
     *  @ORM\JoinColumn(name="lodging_id", referencedColumnName="id")
     * })
     */
    private $lodging;

    /**
     * @var \AppBundle\Entity\FewoSeason
     *
     * @ORM\ManyToOne(targetEntity="FewoSeason", inversedBy="prices")
     * @ORM\JoinColumns({
     *  @ORM\JoinColumn(name="season_id", referencedColumnName="id", onDelete="SET NULL")
     * })
     */
    private $season;

    /**
     * @var float
     *
     * @ORM\Column(name="per_night", type="float", scale=2, nullable=false)
     */
    private $perNight;

    /**
     * @var float
     *
     * @ORM\Column(name="flat_price", type="float", scale=2, nullable=false)
     */
    private $flatPrice;


    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set perNight
     *
     * @param float $perNight
     *
     * @return FewoPrice
     */
    public function setPerNight($perNight)
    {
        $this->perNight = $perNight;

        return $this;
    }

    /**
     * Get perNight
     *
     * @return float
     */
    public function getPerNight()
    {
        return $this->perNight;
    }

    /**
     * Set flatPrice
     *
     * @param float $flatPrice
     *
     * @return FewoPrice
     */
    public function setFlatPrice($flatPrice)
    {
        $this->flatPrice = $flatPrice;

        return $this;
    }

    /**
     * Get flatPrice
     *
     * @return float
     */
    public function getFlatPrice()
    {
        return $this->flatPrice;
    }

    /**
     * Set lodging
     *
     * @param \AppBundle\Entity\FewoLodging $lodging
     *
     * @return FewoPrice
     */
    public function setLodging(\AppBundle\Entity\FewoLodging $lodging = null)
    {
        $this->lodging = $lodging;

        return $this;
    }

    /**
     * Get lodging
     *
     * @return \AppBundle\Entity\FewoLodging
     */
    public function getLodging()
    {
        return $this->lodging;
    }

    /**
     * Set season
     *
     * @param \AppBundle\Entity\FewoSeason $season
     *
     * @return FewoPrice
     */
    public function setSeason(\AppBundle\Entity\FewoSeason $season = null)
    {
        $this->season = $season;

        return $this;
    }

    /**
     * Get season
     *
     * @return \AppBundle\Entity\FewoSeason
     */
    public function getSeason()
    {
        return $this->season;
    }
}
